Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.math.metaanalysis
Class MeanDifferenceMetaAnalysis

    java.lang.Object
      baseCode.math.metaanalysis.MetaAnalysis
          baseCode.math.metaanalysis.MeanDifferenceMetaAnalysis

public class MeanDifferenceMetaAnalysis
extends MetaAnalysis

Meta-analysis methods from chapter 18 of Cooper and Hedges, sections 2.1 and 3.1

These methods use the standardized mean difference statistic d:

     d_i = ( X_i ˆ t - X_i ˆ c ) / s_i

where X i t is the mean of the treatment group in the ith study, X i ct is the mean of the control group in the treatment group in the ith study, and s i is the pooled standard deviation of the two groups. Essentially this is a t statistic.

Copyright (c) 2004 Columbia University

Version:
  $Id: MeanDifferenceMetaAnalysis.java,v 1.1 2005/01/04 00:32:27 pavlidis Exp $
Author:
  pavlidis

Constructor Summary
`MeanDifferenceMetaAnalysis(boolean fixed)`

Method Summary
`double` | `getBsv()`
`double` | `getE()`
`double` | `getN()`
`double` | `getP()`
`double` | `getQ()`
`double` | `getV()`
`double` | `getZ()`
`double` | `run(cern.colt.list.DoubleArrayList effects, cern.colt.list.DoubleArrayList cvar)`
`double` | `run(cern.colt.list.DoubleArrayList effects, cern.colt.list.DoubleArrayList controlSizes, cern.colt.list.DoubleArrayList testSizes)`
`double` | `samplingVariance(double d, double nC, double nT)` CH eqn 18-7
`cern.colt.list.DoubleArrayList` | `samplingVariances(cern.colt.list.DoubleArrayList effects, cern.colt.list.DoubleArrayList controlSizes, cern.colt.list.DoubleArrayList testSizes)` Run eqn 18-7 on a set of effect sizes.

Methods inherited from class baseCode.math.metaanalysis.MetaAnalysis
`fisherCombineLogPvalues, fisherCombinePvalues, metaFEWeights, metaRESampleVariance, metaREVariance, metaREWeights, metaVariance, metaVariance, metaZscore, qStatistic, qTest, weightedMean, weightedMean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeanDifferenceMetaAnalysis

    public MeanDifferenceMetaAnalysis(boolean fixed)

Method Detail

### run

    public double run(cern.colt.list.DoubleArrayList effects,
                      cern.colt.list.DoubleArrayList controlSizes,
                      cern.colt.list.DoubleArrayList testSizes)

### run

    public double run(cern.colt.list.DoubleArrayList effects,
                      cern.colt.list.DoubleArrayList cvar)

  Parameters:
    `effects` -
    `cvar` - Conditional variances.
  Returns:

### samplingVariance

    public double samplingVariance(double d,
                                   double nC,
                                   double nT)

  CH eqn 18-7

  Parameters:
    `d` - effect size
    `nC` - number of samples in control group
    `nT` - number of samples in test group
  Returns:

### samplingVariances

    public cern.colt.list.DoubleArrayList samplingVariances(cern.colt.list.DoubleArrayList effects,
                                                            cern.colt.list.DoubleArrayList controlSizes,
                                                            cern.colt.list.DoubleArrayList testSizes)

  Run eqn 18-7 on a set of effect sizes.

  Parameters:
    `effects` -
    `controlSizes` -
    `testSizes` -
  Returns:

### getP

    public double getP()

### getQ

    public double getQ()

### getZ

    public double getZ()

### getE

    public double getE()

### getV

    public double getV()

### getN

    public double getN()

### getBsv

    public double getBsv()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.